%define cpanname Data-HexDump

Name:    perl-%{cpanname}
Version: 0.02
Release: 1.ker.rhel4
Summary: Hexadecial Dumper.
License: Distributable
Group:   Development/Libraries
Source0: %{cpanname}-%{version}.tar.gz
URL:     http://search.cpan.org/search?mode=module&query=%{cpanname}
BuildRoot: %{_tmppath}/%{name}-root

%description
Dump in hexadecimal the content of a scalar. The result is returned in a
string. Each line of the result consists of the offset in the source in the
leftmost column of each line, followed by one or more columns of data from the
source in hexadecimal. The rightmost column of each line shows the printable
characters (all others are shown as single dots).

%prep
%setup -q -n %{cpanname}-%{version} 

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

# remove /usr/bin/hexdump
rm -f $RPM_BUILD_ROOT/usr/bin/hexdump

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc README

%changelog
* Sat Mar 05 2005 Milan Kerslager <kerslage@linux.cz> 0.02-1.ker.rhel4
- new package for RHEL4
- do not include /usr/bin/hexdump as this is included in util-linux package
